Package org.eclipse.rdf4j.sail.lucene

## Class SearchFields

- java.lang.Object
- - org.eclipse.rdf4j.sail.lucene.SearchFields

-     public final class SearchFields
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `BNODE_ID_PREFIX` | String used to prefix BNode IDs with so that we can distinguish BNode fields from URI fields in Documents.
    `static String` | `CONTEXT_FIELD_NAME` | The name of the Document field holding the context identifer(s).
    `static String` | `CONTEXT_NULL` | the null context
    `static Pattern` | `HIGHLIGHTER_PATTERN` |
    `static String` | `HIGHLIGHTER_POST_TAG` |
    `static String` | `HIGHLIGHTER_PRE_TAG` |
    `static String` | `ID_FIELD_NAME` | The name of the Document field holding the document identifier.
    `static String` | `TEXT_FIELD_NAME` | The name of the Document field that holds multiple text values of a Resource.
    `static String` | `URI_FIELD_NAME` | The name of the Document field holding the Resource identifier.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Resource` | `createContext​(String idString)` |
    `static Resource` | `createResource​(String idString)` | Parses an id-string (a serialized resource) back to a resource Inverse method of `getResourceID(Resource)`
    `static Literal` | `distanceToLiteral​(double d)` |
    `static String` | `formIdString​(String resourceId, String contextId)` |
    `static String` | `getContextID​(Resource resource)` | Get the ID for a context.
    `static String` | `getLiteralPropertyValueAsString​(Statement statement)` |
    `static String` | `getPropertyField​(IRI property)` |
    `static String` | `getResourceID​(Resource resource)` | Returns the String ID corresponding with the specified Resource.
    `static String` | `getSnippet​(String highlightedValue)` |
    `static boolean` | `isPropertyField​(String fieldName)` | Determines whether the specified field name is a property field name.
    `static Literal` | `scoreToLiteral​(float score)` | Returns a score value encoded as a Literal.
    `static Literal` | `wktToLiteral​(String wkt)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID_FIELD_NAME

          public static final String ID_FIELD_NAME

      The name of the Document field holding the document identifier. This consists of the Resource identifier (URI or BNodeID) and the Context ID (the format is "resourceId|contextId")
      See Also:
        Constant Field Values

    - #### URI_FIELD_NAME

          public static final String URI_FIELD_NAME

      The name of the Document field holding the Resource identifier. The value stored in this field is either a URI or a BNode ID.
      See Also:
        Constant Field Values

    - #### TEXT_FIELD_NAME

          public static final String TEXT_FIELD_NAME

      The name of the Document field that holds multiple text values of a Resource. The field is called "text", as it contains all text, but was called "ALL" during the discussion. For each statement-literal of the resource, the object literal is stored in a field using the predicate-literal and additionally in a TEXT_FIELD_NAME-literal field.
      See Also:
        Constant Field Values

    - #### CONTEXT_FIELD_NAME

          public static final String CONTEXT_FIELD_NAME

      The name of the Document field holding the context identifer(s).
      See Also:
        Constant Field Values

    - #### CONTEXT_NULL

          public static final String CONTEXT_NULL

      the null context
      See Also:
        Constant Field Values

    - #### BNODE_ID_PREFIX

          public static final String BNODE_ID_PREFIX

      String used to prefix BNode IDs with so that we can distinguish BNode fields from URI fields in Documents. The prefix is chosen so that it is invalid as a (part of a) URI scheme.
      See Also:
        Constant Field Values

    - #### HIGHLIGHTER_PRE_TAG

          public static final String HIGHLIGHTER_PRE_TAG

      See Also:
        Constant Field Values

    - #### HIGHLIGHTER_POST_TAG

          public static final String HIGHLIGHTER_POST_TAG

      See Also:
        Constant Field Values

    - #### HIGHLIGHTER_PATTERN

          public static final Pattern HIGHLIGHTER_PATTERN

  - ### Method Detail

    - #### getResourceID

          public static String getResourceID​(Resource resource)

      Returns the String ID corresponding with the specified Resource. The id string is either the URI or a bnode prefixed with a "!".

    - #### getContextID

          public static String getContextID​(Resource resource)

      Get the ID for a context. Context can be null, then the "null" string is returned
      Parameters:
        `resource` - the context
      Returns:
        a string

    - #### createResource

          public static Resource createResource​(String idString)

      Parses an id-string (a serialized resource) back to a resource Inverse method of `getResourceID(Resource)`
      Parameters:
        `idString` -
      Returns:
        resource

    - #### createContext

          public static Resource createContext​(String idString)

    - #### getLiteralPropertyValueAsString

          public static String getLiteralPropertyValueAsString​(Statement statement)

    - #### getPropertyField

          public static String getPropertyField​(IRI property)

    - #### isPropertyField

          public static boolean isPropertyField​(String fieldName)

      Determines whether the specified field name is a property field name.

    - #### formIdString

          public static String formIdString​(String resourceId,
                                            String contextId)

    - #### scoreToLiteral

          public static Literal scoreToLiteral​(float score)

      Returns a score value encoded as a Literal.
      Parameters:
        `score` - the float score to convert
      Returns:
        the score as a literal

    - #### wktToLiteral

          public static Literal wktToLiteral​(String wkt)

    - #### distanceToLiteral

          public static Literal distanceToLiteral​(double d)

    - #### getSnippet

          public static String getSnippet​(String highlightedValue)